This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447084 - Review Request: perl-Test-CPAN-Meta - Validation of the META.yml file in a CPAN distribution
Review Request: perl-Test-CPAN-Meta - Validation of the META.yml file in a CP...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 447079
Blocks: 447006
  Show dependency treegraph
 
Reported: 2008-05-17 14:45 EDT by Steven Pritchard
Modified: 2011-02-26 21:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 18:04:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2008-05-17 14:45:45 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-CPAN-Meta/perl-Test-CPAN-Meta.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-CPAN-Meta-0.10-1.src.rpm
Description:
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of package makers
and installers such as ExtUtils::MakeMaker, Module::Build and
Module::Install.
Comment 1 Parag AN(पराग) 2008-05-21 07:36:17 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=622376
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
73ae85c96261c0e92662e267a32a727c  Test-CPAN-Meta-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=8, Tests=179,  0 wallclock secs ( 0.52 cusr +  0.04 csys =  0.56 CPU)
+ Package perl-Test-CPAN-Meta-0.10-1.fc10 =>
  Provides: perl(Test::CPAN::Meta) = 0.10 perl(Test::CPAN::Meta::Version) = 0.10
  Requires:  perl(:MODULE_COMPAT_5.10.0) perl(Parse::CPAN::Meta)
perl(Test::Builder) perl(Test::CPAN::Meta::Version) perl(strict) perl(vars)
perl(warnings)

APPROVED.
Comment 2 Steven Pritchard 2008-05-21 14:30:46 EDT
New Package CVS Request
=======================
Package Name: perl-Test-CPAN-Meta
Short Description: Validation of the META.yml file in a CPAN distribution
Owners: steve
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-05-22 14:35:21 EDT
cvs done.
Comment 4 Steven Pritchard 2008-05-22 18:04:07 EDT
Imported, branched, and built for rawhide.  (Other branches have to wait for
perl-Parse-CPAN-Meta to be pushed to updates.)
Comment 5 Fedora Update System 2011-02-10 13:39:39 EST
perl-Test-CPAN-Meta-0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-0.17-1.el5
Comment 6 Fedora Update System 2011-02-10 13:39:48 EST
perl-Test-CPAN-Meta-0.17-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-0.17-1.el4
Comment 7 Fedora Update System 2011-02-26 21:49:56 EST
perl-Test-CPAN-Meta-0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-02-26 21:50:05 EST
perl-Test-CPAN-Meta-0.17-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.